import React from 'react';
import { showDialog } from '@jupyterlab/apputils';
import DatasyncForm from './DatasyncForm';

const DatasyncView: React.FunctionComponent = () => {
  return (
    <div style={{ flexGrow: 1, display: 'flex', flexDirection: 'column' }}>
      <div
        style={{ display: 'flex', justifyContent: 'flex-end', padding: '10px' }}
      >
        <button
          className="jldbq-btn-add"
          onClick={async () => {
            await showDialog({
              title: '添加同步任务',
              body: <DatasyncForm />
            });
          }}
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            width="20"
            height="20"
            fill="currentColor"
            viewBox="0 0 16 16"
          >
            <path d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z" />
          </svg>
          添加同步任务
        </button>
      </div>
    </div>
  );
};

export default DatasyncView;
