import { Widget } from '@lumino/widgets';

export default class DirectorySwitcher extends Widget {
  constructor(options: Widget.IOptions) {
    super(options);
    this._createButtons();
  }

  private _createButtons() {
    const btn1 = document.createElement('button');
    btn1.textContent = '开发目录';
    btn1.classList.add('jldbq-btn', 'jldbq-btn-current');
    this.node.appendChild(btn1);
    const btn2 = document.createElement('button');
    btn2.textContent = '通用算子库';
    btn2.classList.add('jldbq-btn');
    this.node.appendChild(btn2);
  }
}
